Delete secure token

View as MarkdownOpen in Claude
Use this method to delete a secure token and its related payment details from our vault. To delete a secure token, you need its secureTokenId, which you sent in the request of the [Create Secure Token](https://docs.payroc.com/api/schema/tokenization/secure-tokens/create) method. **Note:** If you don’t have the secureTokenId, use our [List Secure Tokens](https://docs.payroc.com/api/schema/tokenization/secure-tokens/list) method to search for the secure token. When you delete a secure token, you can’t recover it, and you can’t reuse its identifier for a new token.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

processingTerminalIdstringRequired4-50 characters
Unique identifier that we assigned to the terminal.
secureTokenIdstringRequired1-200 characters
Unique identifier that the merchant assigned to the secure token.

Response

Successful request. We deleted the secure token.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error